$(function(){
    function cc_processing() {
      $('.ccsubmitbutton').attr('disabled','')
      $('.ccsubmitbutton').text('Processing...')
    }
    function cc_ready() {
      $('.ccsubmitbutton').text('Complete My Purchase')
      $('.ccsubmitbutton').removeAttr('disabled')
    }
    $('.categoryselectioncheckbox').change(function(){
        $('#categoryform').submit()
    });
    window.stripe_form_action = function(event) {
    cc_processing();
    var form = $(".ccsubmit");
    $(".formerror").empty();
    if (!$('.card-number').val()){
            $(".formerror").append($("<div class='alert alert-error'> <h3>Missing a credit card number </h3></div>"));
        cc_ready();
        return false;
    }else if (!form.find(".emailinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'><h3>Email is required</h3></div>")
        );
        cc_ready();
        return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else if (!form.find(".nameinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'><h3>Name is required</h3></div>")
        );
        cc_ready();
        return false
    } else if (!form.find(".companyinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'><h3>Company is required</h3></div>")
        );
        cc_ready();
        return false
    }else{
        Stripe.createToken({
	    name: $('.nameinput').val(),
            number: $('.card-number').val(),
            cvc: $('.card-cvc').val(),
            exp_month: $('.card-expiry-month').val(),
            exp_year: $('.card-expiry-year').val(),
            address_line1 : $('.address-line1').val(),
	    address_line2 : $('.address-line2').val(),
            address_country : $('.address-country').val(),
	    address_zip : $('.address-zip').val(),
        }, window.stripeResponseHandler);
    }
    return false;
    }
    $('.ccsubmitbutton').click(window.stripe_form_action);
    window.stripeResponseHandler = function(status, response) {
        if (response.error) {
            $(".formerror").append($("<div class='alert alert-error'><h3>" + response.error.message + "</h3></div>"));
            cc_ready();

        } else {
            var form$ = $(".ccsubmit");
            var token = response['id'];
            form$.append(
        "<input type='hidden' name='stripeToken' value='" + token + "' />"
        );
            form$.get(0).submit();
        }
    }
	$('.no_anaconda').click(function(){
		$('#confirm').modal('hide');
		$('#custom').modal('show');
	});
    $('.triallink').click(function(){
    $('.trialsubmit').modal({'show' : true});
    });
    $('.freelink').click(function(){
    $('.freesubmit').modal({'show' : true});
    });
    $('.freesubmitbutton').click(function(){
    form = $(".freeform")
    $(".formerror").empty();
    if (!form.find(".emailinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'>Email is required</div>")
        );
        return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else{
        form.get(0).submit();
    }
    });
    $('.trialsubmitbutton').click(function(){
    form = $(".trialform")
    $(".formerror").empty();
    if (!form.find(".emailinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'>Email is required</div>")
        );
        return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
    }else if (!form.find(".nameinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'>Name is required</div>")
        );
        return false
    } else if (!form.find(".companyinput").val()){
        $(".formerror").append(
        $("<div class='alert alert-error'>Company is required</div>")
        );
        return false
    } else{
        form.get(0).submit();
    }
    });
    academicsetup()
});

var academicsetup = function() {
    $('.academiclink').click(function(){
        $('.academicsubmit').modal({'show' : true});
    });
    $('.academicsubmitbutton').click(function(){
        $(".formerror").empty()
        form = $(".academicform")
        if (!form.find(".emailinput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Email is required</div>")
            );
            return false
        }else if (!form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Confirm email is required.</div>")
            );
            return false
        }else if (form.find(".emailinput").val() != form.find(".confirminput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Emails do not match.</div>")
            );
            return false
        }else if (!form.find(".nameinput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Name is required</div>")
            );
            return false
        } else if (!form.find(".companyinput").val()){
            $(".formerror").append(
                $("<div class='alert alert-error'>Institution is required</div>")
            );
            return false
        } else{
            form.get(0).submit();
        }
    });
}
